Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 05-15-2011, 12:52 AM   #1
Ahmad Samir
Zealot
Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!
 
Posts: 110
Karma: 5246
Join Date: Jul 2010
Device: none
Two issues running Sigil under KDE4 (using system Qt4)

Hi. There're two issues that I've seen when using Sigil, built from source, when running it under KDE4:

- Using "Save As" an error message is displayed (like the one in this issue). It looks like unchecking "Automatically select filename extension (.epub)" in the "Save As" dialogue fixes this issue and I don't get the error message dialogue (which appears 2-3 times).

- The second issue appears when dragging chapters to reorder them in the Book Browser panel, the chapter would move, but then it would appear as a blank entry that can't be left clicked and when right-clicking it, Sigil segfaults (this is similar to this issue ). It indeed looks like a KDE4 issue, the workaround I found is loading Sigil with unsetting the QT_PLUGIN_PATH environment variable:
Code:
QT_PLUGIN_PATH=  /usr/bin/sigil
the issue seems to stem from libkde.so (in /usr/lib*/kde4/plugins/gui_platform), I've no idea what the issue is exactly, though. Note that this method will make Sigil use the Qt native file chooser (not the KDE4 one), also Sigil won't use the Oxygen widget style (the default KDE4 upstream style).

(Since these two issue haves bugged me for a long time, I thought I'd share my findings... ).

Last edited by Ahmad Samir; 05-15-2011 at 09:07 PM.
Ahmad Samir is offline   Reply With Quote
Old 05-15-2011, 10:46 AM   #2
st_albert
Fanatic
st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.
 
Posts: 540
Karma: 64420
Join Date: Feb 2010
Device: none
Thanks for these workarounds. The error on save-as was very annoying, but unchecking "automatically select..." seems to have stopped it.

As for the other, drag-to-reorder, do I understand correctly that your solution only applies to Sigil when built from source under KDE4, as opposed to the "canned" linux build?
st_albert is offline   Reply With Quote
Old 05-15-2011, 02:08 PM   #3
Ahmad Samir
Zealot
Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!
 
Posts: 110
Karma: 5246
Join Date: Jul 2010
Device: none
Quote:
Originally Posted by st_albert View Post
As for the other, drag-to-reorder, do I understand correctly that your solution only applies to Sigil when built from source under KDE4, as opposed to the "canned" linux build?
Yes, this is only useful if you're using the system Qt4 not the bundled one in the .bin package Valloric offers. IINM, mainly because the sigil.sh script uses a custom LD_LIBRARY_PATH, which overrides the system ones (so it skirts away from /usr/lib*/kde4/plugins/gui_platform/libkde.so).

Note that I usually use Sigil built from source (and only test the upstream .bin on occasion when there's a bug or something).

I forgot to say I run KDE 4.6.3 and Qt 4.7.3.
Ahmad Samir is offline   Reply With Quote
Old 06-02-2011, 10:05 AM   #4
st_albert
Fanatic
st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.
 
Posts: 540
Karma: 64420
Join Date: Feb 2010
Device: none
For what it's worth, after upgrading to KDE 4.6.3, I tried the suggestion of unsetting QT_PLUGIN_PATH again with the pre-compiled 0.3.4 Sigil version, i.e.

Code:
 $  QT_PLUGIN_PATH=  /opt/sigil/sigil
and it does work, at least at first glance. I haven't wrung it out completely yet.

Previously I was using KDE 4.4.something, but I may also simply have made a typo when typing in the command.
st_albert is offline   Reply With Quote
Old 06-02-2011, 11:54 AM   #5
Ahmad Samir
Zealot
Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!
 
Posts: 110
Karma: 5246
Join Date: Jul 2010
Device: none
If you're using the pre-compiled sigil installed from the .run executable, then you should simply load sigil using /opt/sigil/sigil.sh , it sets the correct evn vars to use the bundled Qt libs.. etc and shouldn't have that KDE4 bug(s) at all.
Ahmad Samir is offline   Reply With Quote
Old 06-02-2011, 12:56 PM   #6
st_albert
Fanatic
st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.st_albert calls his or her ebook reader Vera.
 
Posts: 540
Karma: 64420
Join Date: Feb 2010
Device: none
Quote:
Originally Posted by Ahmad Samir View Post
If you're using the pre-compiled sigil installed from the .run executable, then you should simply load sigil using /opt/sigil/sigil.sh , it sets the correct evn vars to use the bundled Qt libs.. etc and shouldn't have that KDE4 bug(s) at all.
Just to clarify:

I'm using Sigil 0.3.4 installed from Sigil-0.3.4-Linux-Setup.bin on a Debian Sid distro, KDE version 4.6.3 and looks like QT version 4.7.3-1 . If I start it from the sigil.sh shell script it still has the bug that prevents dragging files to reorder them. Even though the shell script redirects LD_LIBRARY_PATH to Sigil's own QT libs.

If I start it just with /opt/sigil/sigil it throws all kinds of warnings and errors because QT_PLUGIN_PATH still points to the default kde plugin paths. (no surprise here.)

But if I start it with QT_PLUGIN_PATH unset (as above) it seems to run, and dragging files around works as expected.

Last edited by st_albert; 06-02-2011 at 01:03 PM.
st_albert is offline   Reply With Quote
Old 06-02-2011, 01:19 PM   #7
Ahmad Samir
Zealot
Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!Ahmad Samir , Klaatu Barada Niktu!
 
Posts: 110
Karma: 5246
Join Date: Jul 2010
Device: none
Ah, I see; thanks for the clarification (I mainly tested with 0.4.0 and KDE 4.6.x).
Ahmad Samir is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Calibre as a service in a linux server without QT4 nadid Calibre 4 01-25-2011 12:00 AM
Sigil/DRM Issues After Update? twedigteam Sigil 11 11-07-2010 01:47 PM
Weird formatting issues - Sigil .epub in Calibre viewer december Sigil 9 06-18-2010 04:04 PM
Sigil editing Issues -- must be addressed arvinder Sigil 4 08-06-2009 07:36 AM
iLiad QT4 Working!!! Adam B. iRex Developer's Corner 9 06-17-2007 01:41 PM


All times are GMT -4. The time now is 01:06 AM.


MobileRead.com is a privately owned, operated and funded community.